Bug 486785 - Add whois server for .jobs (we're lacking that TLD completely)
Add whois server for .jobs (we're lacking that TLD completely)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jwhois (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 22:44 EST by Robert Scheck
Modified: 2009-02-27 05:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 05:10:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-02-21 22:44:14 EST
Description of problem:
Please add a whois server for .jobs, currently /etc/jwhois.conf doesn't mention 
any for this TLD. According to http://www.iana.org/domains/root/db/jobs.html
from IANA there is one, "jobswhois.verisign-grs.com", so let's use it.

Version-Release number of selected component (if applicable):
jwhois-4.0-10

How reproducible:
Everytime, whois query fails.

Actual results:
# whois nic.jobs
[Querying whois.internic.net]
[whois.internic.net]
[...]
#

Expected results:
Add the following line in /etc/jwhois.conf after "\\.je$" to get it working: 

  "\\.jobs$" = "jobswhois.verisign-grs.com";

Afterwards a whois for .jobs looks much better (note that redirects at .jobs
are allowed for whois, so everything fine here):

# whois nic.jobs
[Querying jobswhois.verisign-grs.com]
[Redirected to whois.encirca.com]
[Querying whois.encirca.com]
[whois.encirca.com]
[...]
#

Additional info:
Please try to get this fix upstream - upstream is unluckily always very very
unresponsive to me.
Comment 1 Robert Scheck 2009-02-22 11:22:25 EST
Correction, *.verisign-grs.com is a bit strange, use the following block in
order to get low-level redirects working correct:

--- snipp ---
        "\\.jobs$" {
                whois-server = "jobswhois.verisign-grs.com";
                query-format = "domain $*";
        }
--- snapp ---

Note You need to log in before you can comment on or make changes to this bug.